package br.ufes.inf.lp.ppgicred

import br.ufes.inf.lp.ppgicred.es.{DadosEntrada, Entrada, Saida}

object Main extends App {
  override def main(args: Array[String]): Unit = {
    java.util.TimeZone.setDefault(java.util.TimeZone.getTimeZone("America/Sao_Paulo"))

    val qualisOrdenados: List[String] = List("A1", "A2", "B1", "B2", "B3", "B4", "B5", "C")

    var planilhaDocentes: String = ""
    var planilhaVeiculos: String = ""
    var planilhaPublicacoes: String = ""
    var planilhaQualificacoes: String = ""
    var planilhaRegras: String = ""
    var anoString: String = ""

    args.sliding(2, 2).toList.collect({
      case Array("-d", d: String) => planilhaDocentes = d
      case Array("-v", v: String) => planilhaVeiculos = v
      case Array("-p", p: String) => planilhaPublicacoes = p
      case Array("-q", q: String) => planilhaQualificacoes = q
      case Array("-r", r: String) => planilhaRegras = r
      case Array("-a", a: String) => anoString = a
      case _ =>
    })

    val entrada: Entrada = new Entrada(qualisOrdenados, planilhaDocentes, planilhaVeiculos, planilhaPublicacoes, planilhaQualificacoes, planilhaRegras)
    val saida: Saida = new Saida(qualisOrdenados, "1-recredenciamento.csv", "2-publicacoes.csv")
    val ppgi: DadosEntrada = entrada.lerArquivos

    ppgi.parseAno(anoString)
    saida.salvarRelatorios(ppgi)
  }
}
